namespace Logic
{
  /// <summary>
  /// a negation
  /// </summary>
  internal class Negation : UnaryOperator
  {
    internal Negation( Matrix aProposition )
      : base( aProposition )
    {
    }
    
    internal override bool TrueForUniverse( uint aPossibleUniverse, Predicates aPredicates )
		{
		  return !mInnerProposition.TrueForUniverse( aPossibleUniverse, aPredicates );
		}

    public override string ToString()
    {
      return string.Format( "~{0}", mInnerProposition );
    }
  }
}
