﻿using System.Collections.Generic;

namespace Logic
{
  /// <summary>
  /// an abstract class for unary logical operators
  /// </summary>
  internal abstract class UnaryOperator : Matrix
  {
    protected Matrix mInnerProposition;
    
    public UnaryOperator( Matrix aInnerMatrix )
    {
      mInnerProposition = aInnerMatrix;
    }
    
    internal override IEnumerable<Predicate> FindPredicates()
    {
      return mInnerProposition.FindPredicates();
    }
  }
}
