namespace Logic
{
  /// <summary>
  /// a variable representing some object
  /// </summary>
  public class Variable
  {
    private char mLetter;
    private string mCurrentlyInstantiatedPredicateCombination;
    
    internal string CurrentlyInstantiatedPredicateCombination
    {
      get { return mCurrentlyInstantiatedPredicateCombination; }
    }
    
    internal Variable( char aLetter )
    {
      mLetter = aLetter;
    }
      
    internal void Instantiate( string aPredicateCombination )
    {
      mCurrentlyInstantiatedPredicateCombination = aPredicateCombination;
    }
      
    public override string ToString()
    {
      return mLetter.ToString();
    }
  }
}
