﻿using System;

namespace Logic
{
  /// <summary>
  /// exception thrown when the parser finds unparsable text 
  /// </summary>
  public class ParseError : Exception
  {
    public ParseError( string aMessage, params object[] aParameters )
      : base( string.Format( aMessage, aParameters ) )
    {
    }
  }
}
