﻿using System;

namespace Logic
{
  /// <summary>
  /// exception thrown due to a limitation in the logic engine
  /// </summary>
  public class EngineException : Exception
  {
    public EngineException( string aMessage, params object[] aParameters )
      : base( string.Format( aMessage, aParameters ) )
    {
    }
  }
}
